Subject: Re: bug#56333: 29.0.50; Trying to uncompress through Tramp: /bin/sh: 195: /usr/bin/bash: not found

From: Michael Albinus <[email-masked]>
Date: Sat, 02 Jul 2022 13:23:50 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,

> I would not know how to debug this. I have tried using Z on remote host:
> /scp:example.com:/var/www/websites/www.example.com
>
> on a file like web.tar.gz
>
> and I got this error in new opened buffer *dired-check-process output*:
>
> /bin/sh: 195: /usr/bin/bash: not found

In dired-shell-command, the variable shell-file-name is used. This is
"/usr/bin/bash" in your case, and it doesn't exist on the remote host.

I've changed this function to use the connection-local value instead
("/bin/sh" by default). This should fix it.

Pushed to master. Could you, pls, check?

Best regards, Michael.